include: ../../analysis_options.yaml

analyzer:
  exclude:
    # Ignore protoc generated files
    - "lib/src/proto/*"

linter:
  rules:
    avoid_catches_without_on_clauses: true
    curly_braces_in_flow_control_structures: true
    prefer_relative_imports: true
    unawaited_futures: true
